<?php
/**
 * Google authentication handler
 */
require_once '../config.php';
require_once '../includes/session.php';
require_once '../vendor/autoload.php';

// Initialize session
$session = Session::getInstance();

// If user is already logged in, redirect to home page
if ($session->isLoggedIn()) {
    header('Location: ' . BASE_URL);
    exit;
}

// Create Google client
$client = new Google_Client();
$client->setClientId(GOOGLE_CLIENT_ID);
$client->setClientSecret(GOOGLE_CLIENT_SECRET);
$client->setRedirectUri(GOOGLE_REDIRECT_URI);
$client->addScope('email');
$client->addScope('profile');

// Create authorization URL and redirect
$auth_url = $client->createAuthUrl();
header('Location: ' . $auth_url);
exit;
