<?php
/**
 * Create Album handler for the photo gallery
 */
require_once 'config.php';
require_once 'includes/auth_utils.php';
require_once 'includes/album.php';

// Require login
$user = require_login();

// Check if form was submitted
if ($_SERVER['REQUEST_METHOD'] !== 'POST') {
    $_SESSION['error'] = 'Invalid request.';
    header('Location: my_albums.php');
    exit;
}

// Get form data
$album_name = isset($_POST['album_name']) ? trim($_POST['album_name']) : '';
$description = isset($_POST['description']) ? trim($_POST['description']) : '';
$is_public = isset($_POST['is_public']) ? true : false;

// Validate album name
if (empty($album_name)) {
    $_SESSION['error'] = 'Album name is required.';
    header('Location: my_albums.php');
    exit;
}

// Create album
$album = new Album();
$album_id = $album->createAlbum($user->getUserId(), $album_name, $description, $is_public);

if ($album_id) {
    $_SESSION['success'] = 'Album created successfully.';
    header('Location: view_album.php?id=' . $album_id);
    exit;
} else {
    $_SESSION['error'] = 'Failed to create album.';
    header('Location: my_albums.php');
    exit;
}
