<?php
/**
 * Delete Album handler for the photo gallery
 */
require_once 'config.php';
require_once 'includes/auth_utils.php';
require_once 'includes/album.php';

// Require login
$user = require_login();

// Check if form was submitted
if ($_SERVER['REQUEST_METHOD'] !== 'POST' || !isset($_POST['album_id']) || empty($_POST['album_id'])) {
    $_SESSION['error'] = 'Invalid request.';
    header('Location: my_albums.php');
    exit;
}

$album_id = (int)$_POST['album_id'];

// Delete album
$album = new Album();
if ($album->deleteAlbum($album_id, $user->getUserId())) {
    $_SESSION['success'] = 'Album deleted successfully.';
} else {
    $_SESSION['error'] = 'Failed to delete album.';
}

// Redirect to my albums page
header('Location: my_albums.php');
exit;
