<?php
/**
 * Delete Image handler for the photo gallery
 */
require_once 'config.php';
require_once 'includes/auth_utils.php';
require_once 'includes/image.php';

// Require login
$user = require_login();

// Check if form was submitted
if ($_SERVER['REQUEST_METHOD'] !== 'POST' || !isset($_POST['image_id']) || empty($_POST['image_id'])) {
    $_SESSION['error'] = 'Invalid request.';
    header('Location: my_images.php');
    exit;
}

$image_id = (int)$_POST['image_id'];

// Delete image
$image = new Image();
if ($image->deleteImage($image_id, $user->getUserId())) {
    $_SESSION['success'] = 'Image deleted successfully.';
} else {
    $_SESSION['error'] = 'Failed to delete image.';
}

// Redirect to my images page
header('Location: my_images.php');
exit;
