<?php
/**
 * Authentication utility functions
 */

/**
 * Check if user is logged in, redirect to login page if not
 */
function require_login() {
    require_once 'includes/session.php';
    $session = Session::getInstance();
    
    if (!$session->isLoggedIn()) {
        // Store the current URL for redirection after login
        $_SESSION['redirect_after_login'] = $_SERVER['REQUEST_URI'];
        
        // Redirect to login page
        header('Location: ' . BASE_URL . 'login.php');
        exit;
    }
    
    return $session->getUser();
}

/**
 * Check if user is an admin, redirect to home page if not
 */
function require_admin() {
    $user = require_login();
    
    if (!$user->isAdmin()) {
        // Redirect to home page with error message
        $_SESSION['error'] = "You do not have permission to access this page.";
        header('Location: ' . BASE_URL);
        exit;
    }
    
    return $user;
}
