<?php
/**
 * Set Album Cover handler for the photo gallery
 */
require_once 'config.php';
require_once 'includes/auth_utils.php';
require_once 'includes/album.php';

// Require login
$user = require_login();

// Check if form was submitted
if ($_SERVER['REQUEST_METHOD'] !== 'POST' || !isset($_POST['album_id']) || empty($_POST['album_id']) || !isset($_POST['image_id']) || empty($_POST['image_id'])) {
    $_SESSION['error'] = 'Invalid request.';
    header('Location: my_albums.php');
    exit;
}

$album_id = (int)$_POST['album_id'];
$image_id = (int)$_POST['image_id'];

// Get album data to verify ownership
$album = new Album();
$album_data = $album->getAlbumById($album_id);

// Check if album exists and belongs to the user
if (!$album_data || $album_data['user_id'] != $user->getUserId()) {
    $_SESSION['error'] = 'Album not found or you do not have permission to modify it.';
    header('Location: my_albums.php');
    exit;
}

// Set album cover
if ($album->setAlbumCover($album_id, $image_id)) {
    $_SESSION['success'] = 'Album cover set successfully.';
} else {
    $_SESSION['error'] = 'Failed to set album cover.';
}

// Redirect back to album page
header('Location: view_album.php?id=' . $album_id);
exit;
